package net.recompile.webdb.jruby.composite;

import java.util.ArrayList;
import java.util.List;

public class Composite extends Component {

    private final List<Component> children =
        new ArrayList<Component>();

    public Composite(String name) {
        setName(name);
    }

    @Override
    public void add(Component c) {
        children.add(c);
    }

    @Override
    public void walk() {
        System.out.println(getName());

        for (Component c : children) {
            c.walk();
        }
    }
}
