package net.recompile.webdb.jruby.hello;

import java.io.FileReader;

import org.jruby.Ruby;
import org.jruby.RubyString;
import org.jruby.runtime.builtin.IRubyObject;

public class Hello {
    public static void main(String[] args) throws Exception {
        Ruby ruby = Ruby.getDefaultInstance();

        ruby.evalScript("puts 'Hello, World!'");

        String filename = "src/main/ruby/hello.rb";
        FileReader reader = new FileReader(filename);
        ruby.evalScript(reader, filename);

        IRubyObject result = ruby.evalScript("1 + 1");
        System.out.println(result);

        ruby.evalScript("$global = 2 + 2");
        IRubyObject grobal =
            ruby.getGlobalVariables().get("$global");
        System.out.println(grobal);

        RubyString string =
            RubyString.newUnicodeString(ruby,
                "Hello, World!");
        ruby.getGlobalVariables().set("$message", string);
        ruby.evalScript("puts $message");
    }
}
